﻿@model FoodTruck.Models.RegisterViewModel
@{
    ViewBag.Title = "Inscription";
}


@using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @class = "", role = "form", style = "padding-top :10px;"}))
{

    @Html.AntiForgeryToken()
    <hr />
    @Html.ValidationSummary("", new { @class = "text-danger" })
    <div style="display:flex;">

        <div class="offset-1 col-5">
            <hr class="withThemeColor" />
            <h3>Infos </h3>
            <hr class="withThemeColor" />
            <div class="form-group">
                @Html.LabelFor(m => m.genre, new { @class = "col-md-2 control-label" })
                <div class="col-md-10">
                    @Html.DropDownList("genre", (IEnumerable<SelectListItem>)ViewBag.Genres, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Email, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Email, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Password, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.PasswordFor(m => m.Password, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.ConfirmPassword, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control form-control-transparent" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(m => m.nom, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.nom, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.prenom, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.prenom, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.date_naissance, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.date_naissance, new { @type = "date", @class = "form-control form-control-transparent" })
                </div>
            </div>

            <div class="form-group">
                @Html.CheckBoxFor(m => m.SetAdressL, new { onchange = "(this.checked) ? $('#addAdressL').css('display', 'block') : $('#addAdressL').css('display', 'none');" })
                @Html.LabelFor(m => m.SetAdressL, new { @class = "withThemeColor" })
            </div>
        </div>
        
        <div class=" offset-1 col-5" id="addAdressL" style="display : none;">
            <hr class="withThemeColor" />
            <h3>Adresse de livraisson </h3>
            <hr class="withThemeColor" />
            <div class="form-group">
                @Html.LabelFor(m => m.Adresse.num_rue, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Adresse.num_rue, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Adresse.rue, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Adresse.rue, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Adresse.code_postal, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Adresse.code_postal, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Adresse.ville, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Adresse.ville, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.Adresse.pays, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.Adresse.pays, new { @class = "form-control form-control-transparent" })
                </div>
            </div>

            <div class="form-group">
                @Html.CheckBoxFor(m => m.SetAdressF, new { onchange = "(this.checked) ? $('#addFacto').css('display', 'flex') : $('#addFacto').css('display', 'none');" })
                @Html.LabelFor(m => m.SetAdressF, new { @class = "withThemeColor" })
            </div>
        </div>
    
    </div>
    
    <div style="display:none; align-items : center;" class="flex-column" id="addFacto" >

        <div class=" offset-1 col-5">
            <hr class="withThemeColor" />
            <h3>Adresse de facturation </h3>
            <hr class="withThemeColor" />
            <div class="form-group">
                @Html.LabelFor(m => m.AdresseF.num_rue, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.AdresseF.num_rue, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.AdresseF.rue, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.AdresseF.rue, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.AdresseF.code_postal, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.AdresseF.code_postal, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.AdresseF.ville, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.AdresseF.ville, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
            <div class="form-group">
                @Html.LabelFor(m => m.AdresseF.pays, new { @class = "col-md-5 control-label" })
                <div class="col-md-10">
                    @Html.TextBoxFor(m => m.AdresseF.pays, new { @class = "form-control form-control-transparent" })
                </div>
            </div>
        </div>

    </div>
    <input type="submit" class="offset-1 col-10 btn btn-default w-100" value="S'inscrire" />
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
